## org.apache.http.auth
Class AuthenticationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.http.HttpException
                  org.apache.http.ProtocolException
                      org.apache.http.auth.AuthenticationException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidCredentialsException, NTLMEngineException

    @Immutable
    public class AuthenticationException

extends ProtocolException

Signals a failure in authentication process

Since:
  4.0
See Also:
  Serialized Form

Constructor Summary
`AuthenticationException()` Creates a new AuthenticationException with a `null` detail message.
`AuthenticationException(String message)` Creates a new AuthenticationException with the specified message.
`AuthenticationException(String message, Throwable cause)` Creates a new AuthenticationException with the specified detail message and cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AuthenticationException

    public AuthenticationException()

  Creates a new AuthenticationException with a `null` detail message.

### AuthenticationException

    public AuthenticationException(String message)

  Creates a new AuthenticationException with the specified message.

  Parameters:
    `message` - the exception detail message

### AuthenticationException

    public AuthenticationException(String message,
                                   Throwable cause)

  Creates a new AuthenticationException with the specified detail message and cause.

  Parameters:
    `message` - the exception detail message
    `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.